<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 16:17:51 CEST 2020 -->
<title>ACIDavoidable</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ACIDavoidable";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ACIDavoidable.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/polarsys/chess/xtext/flaDsl/Aavoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDMitigation.html" title="interface in org.polarsys.chess.xtext.flaDsl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html" target="_top">Frames</a></li>
<li><a href="ACIDavoidable.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.xtext.flaDsl</div>
<h2 title="Interface ACIDavoidable" class="title">Interface ACIDavoidable</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../org/polarsys/chess/xtext/flaDsl/impl/ACIDavoidableImpl.html" title="class in org.polarsys.chess.xtext.flaDsl.impl">ACIDavoidableImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">ACIDavoidable</span>
extends org.eclipse.emf.ecore.EObject</pre>
<div class="block"><!-- begin-user-doc -->
 A representation of the model object '<em><b>ACI Davoidable</b></em>'.
 <!-- end-user-doc -->

 <p>
 The following features are supported:
 </p>
 <ul>
   <li><a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#getA--"><code><em>A</em></code></a></li>
   <li><a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#getC--"><code><em>C</em></code></a></li>
   <li><a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#getI--"><code><em>I</em></code></a></li>
   <li><a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#getD--"><code><em>D</em></code></a></li>
 </ul></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/xtext/flaDsl/FlaDslPackage.html#getACIDavoidable--"><code>FlaDslPackage.getACIDavoidable()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/polarsys/chess/xtext/flaDsl/Aavoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl">Aavoidable</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#getA--">getA</a></span>()</code>
<div class="block">Returns the value of the '<em><b>A</b></em>' attribute.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/polarsys/chess/xtext/flaDsl/Cavoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl">Cavoidable</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#getC--">getC</a></span>()</code>
<div class="block">Returns the value of the '<em><b>C</b></em>' attribute.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/polarsys/chess/xtext/flaDsl/Davoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl">Davoidable</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#getD--">getD</a></span>()</code>
<div class="block">Returns the value of the '<em><b>D</b></em>' attribute.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/polarsys/chess/xtext/flaDsl/Iavoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl">Iavoidable</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#getI--">getI</a></span>()</code>
<div class="block">Returns the value of the '<em><b>I</b></em>' attribute.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#setA-org.polarsys.chess.xtext.flaDsl.Aavoidable-">setA</a></span>(<a href="../../../../../org/polarsys/chess/xtext/flaDsl/Aavoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl">Aavoidable</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#getA--"><code><em>A</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#setC-org.polarsys.chess.xtext.flaDsl.Cavoidable-">setC</a></span>(<a href="../../../../../org/polarsys/chess/xtext/flaDsl/Cavoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl">Cavoidable</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#getC--"><code><em>C</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#setD-org.polarsys.chess.xtext.flaDsl.Davoidable-">setD</a></span>(<a href="../../../../../org/polarsys/chess/xtext/flaDsl/Davoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl">Davoidable</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#getD--"><code><em>D</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#setI-org.polarsys.chess.xtext.flaDsl.Iavoidable-">setI</a></span>(<a href="../../../../../org/polarsys/chess/xtext/flaDsl/Iavoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl">Iavoidable</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#getI--"><code><em>I</em></code></a>' attribute.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getA--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getA</h4>
<pre><a href="../../../../../org/polarsys/chess/xtext/flaDsl/Aavoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl">Aavoidable</a>&nbsp;getA()</pre>
<div class="block">Returns the value of the '<em><b>A</b></em>' attribute.
 The literals are from the enumeration <a href="../../../../../org/polarsys/chess/xtext/flaDsl/Aavoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl"><code>Aavoidable</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>A</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>A</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/xtext/flaDsl/Aavoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl"><code>Aavoidable</code></a>, 
<a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#setA-org.polarsys.chess.xtext.flaDsl.Aavoidable-"><code>setA(Aavoidable)</code></a>, 
<a href="../../../../../org/polarsys/chess/xtext/flaDsl/FlaDslPackage.html#getACIDavoidable_A--"><code>FlaDslPackage.getACIDavoidable_A()</code></a></dd>
</dl>
</li>
</ul>
<a name="setA-org.polarsys.chess.xtext.flaDsl.Aavoidable-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setA</h4>
<pre>void&nbsp;setA(<a href="../../../../../org/polarsys/chess/xtext/flaDsl/Aavoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl">Aavoidable</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#getA--"><code><em>A</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>A</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/xtext/flaDsl/Aavoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl"><code>Aavoidable</code></a>, 
<a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#getA--"><code>getA()</code></a></dd>
</dl>
</li>
</ul>
<a name="getC--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getC</h4>
<pre><a href="../../../../../org/polarsys/chess/xtext/flaDsl/Cavoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl">Cavoidable</a>&nbsp;getC()</pre>
<div class="block">Returns the value of the '<em><b>C</b></em>' attribute.
 The literals are from the enumeration <a href="../../../../../org/polarsys/chess/xtext/flaDsl/Cavoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl"><code>Cavoidable</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>C</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>C</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/xtext/flaDsl/Cavoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl"><code>Cavoidable</code></a>, 
<a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#setC-org.polarsys.chess.xtext.flaDsl.Cavoidable-"><code>setC(Cavoidable)</code></a>, 
<a href="../../../../../org/polarsys/chess/xtext/flaDsl/FlaDslPackage.html#getACIDavoidable_C--"><code>FlaDslPackage.getACIDavoidable_C()</code></a></dd>
</dl>
</li>
</ul>
<a name="setC-org.polarsys.chess.xtext.flaDsl.Cavoidable-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setC</h4>
<pre>void&nbsp;setC(<a href="../../../../../org/polarsys/chess/xtext/flaDsl/Cavoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl">Cavoidable</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#getC--"><code><em>C</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>C</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/xtext/flaDsl/Cavoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl"><code>Cavoidable</code></a>, 
<a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#getC--"><code>getC()</code></a></dd>
</dl>
</li>
</ul>
<a name="getI--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getI</h4>
<pre><a href="../../../../../org/polarsys/chess/xtext/flaDsl/Iavoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl">Iavoidable</a>&nbsp;getI()</pre>
<div class="block">Returns the value of the '<em><b>I</b></em>' attribute.
 The literals are from the enumeration <a href="../../../../../org/polarsys/chess/xtext/flaDsl/Iavoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl"><code>Iavoidable</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>I</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>I</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/xtext/flaDsl/Iavoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl"><code>Iavoidable</code></a>, 
<a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#setI-org.polarsys.chess.xtext.flaDsl.Iavoidable-"><code>setI(Iavoidable)</code></a>, 
<a href="../../../../../org/polarsys/chess/xtext/flaDsl/FlaDslPackage.html#getACIDavoidable_I--"><code>FlaDslPackage.getACIDavoidable_I()</code></a></dd>
</dl>
</li>
</ul>
<a name="setI-org.polarsys.chess.xtext.flaDsl.Iavoidable-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setI</h4>
<pre>void&nbsp;setI(<a href="../../../../../org/polarsys/chess/xtext/flaDsl/Iavoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl">Iavoidable</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#getI--"><code><em>I</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>I</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/xtext/flaDsl/Iavoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl"><code>Iavoidable</code></a>, 
<a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#getI--"><code>getI()</code></a></dd>
</dl>
</li>
</ul>
<a name="getD--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getD</h4>
<pre><a href="../../../../../org/polarsys/chess/xtext/flaDsl/Davoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl">Davoidable</a>&nbsp;getD()</pre>
<div class="block">Returns the value of the '<em><b>D</b></em>' attribute.
 The literals are from the enumeration <a href="../../../../../org/polarsys/chess/xtext/flaDsl/Davoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl"><code>Davoidable</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>D</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>D</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/xtext/flaDsl/Davoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl"><code>Davoidable</code></a>, 
<a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#setD-org.polarsys.chess.xtext.flaDsl.Davoidable-"><code>setD(Davoidable)</code></a>, 
<a href="../../../../../org/polarsys/chess/xtext/flaDsl/FlaDslPackage.html#getACIDavoidable_D--"><code>FlaDslPackage.getACIDavoidable_D()</code></a></dd>
</dl>
</li>
</ul>
<a name="setD-org.polarsys.chess.xtext.flaDsl.Davoidable-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setD</h4>
<pre>void&nbsp;setD(<a href="../../../../../org/polarsys/chess/xtext/flaDsl/Davoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl">Davoidable</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#getD--"><code><em>D</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>D</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/polarsys/chess/xtext/flaDsl/Davoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl"><code>Davoidable</code></a>, 
<a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html#getD--"><code>getD()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ACIDavoidable.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/polarsys/chess/xtext/flaDsl/Aavoidable.html" title="enum in org.polarsys.chess.xtext.flaDsl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/polarsys/chess/xtext/flaDsl/ACIDMitigation.html" title="interface in org.polarsys.chess.xtext.flaDsl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/polarsys/chess/xtext/flaDsl/ACIDavoidable.html" target="_top">Frames</a></li>
<li><a href="ACIDavoidable.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
